Subject: [rtcweb] Ben Campbell's Yes on draft-ietf-rtcweb-ip-handling-11: (with COMMENT)

From: Ben Campbell <[email-masked]>
Date: Mon, 04 Mar 2019 19:59:45 -0800

Ben Campbell has entered the following ballot position for
draft-ietf-rtcweb-ip-handling-11: Yes

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-rtcweb-ip-handling/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I agree with Mirja that this reads more like a BCP. Was BCP status considered by the WG?

(nit) §3: Please expand "RTMFP" on first mention.

(nit) §5.2: "Mode 1 MUST only be used when user consent has been provided"
Please consider "... MUST NOT be used unless user consent has been provided."

§11.2: It seems like the references for STUN and TURN should be normative.

---

From: Justin Uberti <[email-masked]>
Date: Wed, 6 Mar 2019 15:37:07 -0800

> https://datatracker.ietf.org/doc/draft-ietf-rtcweb-ip-handling/

I don't think it was explicitly discussed. We have been treating this
document similarly to the other recommendation documents for WebRTC, e.g.
the recommended audio codecs in https://tools.ietf.org/html/rfc7874; these
docs are all Standards Track.

> §11.2: It seems like the references for STUN and TURN should be normative.

It wasn't clear to me that STUN and TURN meet the bar of "required to
implement this RFC". Open to other points of view here though.

>
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>

---

From: Ben Campbell <[email-masked]>
Date: Wed, 6 Mar 2019 17:44:06 -0600

> On Mar 6, 2019, at 5:37 PM, Justin Uberti <[email-masked]> wrote:
> 
> 
> 
> On Mon, Mar 4, 2019 at 7:59 PM Ben Campbell <[email-masked] <mailto:[email-masked]>> wrote:
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html <https://www.ietf.org/iesg/statement/discuss-criteria.html>
> https://datatracker.ietf.org/doc/draft-ietf-rtcweb-ip-handling/ <https://datatracker.ietf.org/doc/draft-ietf-rtcweb-ip-handling/>
> 
> 
> 
> I don't think it was explicitly discussed. We have been treating this document similarly to the other recommendation documents for WebRTC, e.g. the recommended audio codecs in https://tools.ietf.org/html/rfc7874 <https://tools.ietf.org/html/rfc7874>; these docs are all Standards Track.

It’s not a show stopper from my perspective, especially if we are talking about recommendations to W3C.

> It wasn't clear to me that STUN and TURN meet the bar of "required to implement this RFC". Open to other points of view here though.

§7 contains says applications SHOULD deploy a TURN server; that’s enough to make TURN normative. It’s less clear for STUN, but I think it passes the “necessary to fully implement or _understand_” bar.

Ben.

---

From: Justin Uberti <[email-masked]>
Date: Wed, 6 Mar 2019 15:50:08 -0800

On Wed, Mar 6, 2019 at 3:44 PM Ben Campbell <[email-masked]> wrote:

> the recommended audio codecs in https://tools.ietf.org/html/rfc7874;
> these docs are all Standards Track.
>
>
> §7 contains says applications SHOULD deploy a TURN server; that’s enough
> to make TURN normative. It’s less clear for STUN, but I think it passes the
> “necessary to fully implement or _understand_” bar.
>

Fair enough.

---

From: Adam Roach <[email-masked]>
Date: Wed, 6 Mar 2019 20:17:43 -0600

On 3/6/19 5:37 PM, Justin Uberti wrote:
> document similarly to the other recommendation documents for WebRTC, 
> e.g. the recommended audio codecs in 
> https://tools.ietf.org/html/rfc7874; these docs are all Standards Track.

It was actually touched on briefly in this thread:

https://mailarchive.ietf.org/arch/msg/rtcweb/UYXeIvdRih3Mp7ox_VnkGdFIBxs

In which:

  * Keith Drage asks for clarification of the intended status
  * Participant Ted Hardie expresses mostly ambivalence with a very
    slight lean towards BCP
  * Harald Alvestrand expresses a somewhat stronger preference, but for ST
  * Alissa Cooper weighs in with an opinion that "it could be either one"
  * And then the working group goes on to have a 53-message-long thread
    about normative language that eventually causes Barry to write RFC 8174.

So it was discussed and no one felt strongly about its status, although 
the sentiment that *was* expressed did, on the average, lean very 
slightly towards standards track.

I agree with Justin's observation that RTCWEB has been putting these 
kinds of guidance documents out as standards track, in large part 
because doing things other than what is documented in them can result in 
decreased interoperability of implementations, which seems more like a 
standard than a "best practice."

/a